Create Sardine Session

POSThttps://bank.dattaremit.com/api/sardine_sessions

Requires a bank-scoped key.

Create a Sardine session.

Required scope: sardine_sessions:execute

Body Params

required
customer_guidstring

The GUID of the customer the session is for. Required for organization and bank subject tokens. For customer subject tokens, this is inferred from the token.

Responses

201

session created

400

Bad Request

401

Unauthorized

403

Forbidden

422

Unprocessable Content

Request

curl https://api.dattaremit.com/api/sardine_sessions \
  -X POST \
  -H "Authorization: Bearer sk_test_YOUR_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "customer_guid": "string"
}'

Response

session created

{
  "guid": "string",
  "sardine_session_key": "string",
  "customer_guid": "string",
  "expires_at": "2026-07-20T16:27:51.438Z"
}